> ## Documentation Index
> Fetch the complete documentation index at: https://docs.craveup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a published merchant and its locations



## OpenAPI

````yaml /generated/storefront.openapi.json get /merchant/{merchantSlug}
openapi: 3.0.3
info:
  title: Crave Storefront API
  version: 2.0.0
  description: >-
    Direct public Storefront API. Anonymous catalog reads require no API key.
    Protected resources use purpose-limited cart, checkout, receipt, or customer
    credentials.
  contact:
    name: Crave Support
    email: hello@craveup.com
servers:
  - url: https://api.craveup.com/api/v1/storefront
    description: Production Storefront API
  - url: https://dev-api-43233223.craveup.com/api/v1/storefront
    description: Sandbox Storefront API
security: []
tags:
  - name: Merchants
  - name: Locations
  - name: Ordering Sessions
  - name: Menus
  - name: Products
  - name: Analytics
  - name: Carts
  - name: Checkout
  - name: Cart Items
  - name: Discounts
  - name: Loyalty
  - name: Customer Authentication
  - name: Customers
  - name: Orders
paths:
  /merchant/{merchantSlug}:
    get:
      tags:
        - Merchants
      summary: Get a published merchant and its locations
      operationId: storefrontGetMerchant
      parameters:
        - name: merchantSlug
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 128
      responses:
        '200':
          description: Published merchant.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Merchant'
        '400':
          description: The request is invalid.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '404':
          description: The requested resource was not found.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '429':
          description: The request was rate limited.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '500':
          description: An unexpected error occurred.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
        '503':
          description: A required dependency is temporarily unavailable.
          headers:
            X-Request-Id:
              description: Opaque request identifier for support and telemetry correlation.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommerceErrorEnvelope'
      security: []
components:
  schemas:
    Merchant:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        name:
          type: string
        country:
          type: string
        currency:
          type: string
        bio:
          type: string
        logo:
          type: string
        cover:
          type: string
        locations:
          type: array
          items:
            $ref: '#/components/schemas/MerchantLocation'
      required:
        - id
        - name
        - country
        - currency
        - bio
        - logo
        - cover
        - locations
      additionalProperties: {}
    CommerceErrorEnvelope:
      type: object
      properties:
        code:
          anyOf:
            - type: string
              enum:
                - VALIDATION_ERROR
                - UNAUTHORIZED
                - FORBIDDEN
                - NOT_FOUND
                - RATE_LIMITED
                - CART_CONFLICT
                - RESOURCE_CONFLICT
                - CART_IMMUTABLE
                - IDEMPOTENCY_KEY_REQUIRED
                - IDEMPOTENCY_KEY_REUSED
                - IDEMPOTENCY_IN_PROGRESS
                - DEPENDENCY_UNAVAILABLE
                - INTERNAL_ERROR
            - type: string
              minLength: 1
        message:
          type: string
          minLength: 1
        requestId:
          type: string
          minLength: 8
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
        - requestId
      additionalProperties: false
    MerchantLocation:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 128
        restaurantDisplayName:
          type: string
        coverPhoto:
          type: string
        restaurantLogo:
          type: string
        addressString:
          type: string
        restaurantBio:
          type: string
        lat:
          nullable: true
          type: number
        lng:
          nullable: true
          type: number
        methodsStatus:
          type: object
          properties:
            pickup:
              type: boolean
            table:
              type: boolean
            delivery:
              type: boolean
            roomService:
              type: boolean
          required:
            - pickup
            - table
            - delivery
            - roomService
          additionalProperties: false
      required:
        - id
        - restaurantDisplayName
        - coverPhoto
        - restaurantLogo
        - addressString
        - restaurantBio
        - lat
        - lng
        - methodsStatus
      additionalProperties: {}

````